For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get transactions history

get

Get recent transaction history

Path parameters
apiKeystringRequired

API key generated at https://studio.aurora.dev

Query parameters
numberOfTransactionsinteger · max: 1000Optional

Number of transactions to return. Default: 10. Max: 1000. Min: 1. Ignored when page/perPage are supplied.

Default: 10
pageinteger · max: 9007199254740991Optional

Legacy pagination: page number. Supplying page or perPage returns the paginated response shape. Default: 1. Min: 1.

perPageinteger · max: 1000Optional

Legacy pagination: number of transactions per page. Supplying page or perPage returns the paginated response shape. Default: 50. Max: 1000. Min: 1.

walletAddressstringOptional

Wallet address used for the query.

lastDepositAddressstringOptional

Cursor: the depositAddress of the last transaction from the previous page.

lastDepositMemostringOptional

Cursor: the depositMemo of the last transaction from the previous page.

directionstring · enumOptional

Pagination direction. "next" returns older transactions, "prev" newer ones. Default: next.

Possible values:
Responses
200

Transactions successfully retrieved

application/json

Transactions successfully retrieved

or
get/api/transactions/{apiKey}
GET /api/transactions/{apiKey} HTTP/1.1
Host: intents-api.aurora.dev
Accept: */*
[
  {
    "originAsset": "nep141:eth-0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48.omft.near",
    "destinationAsset": "nep141:17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1",
    "depositAddress": "GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK",
    "depositMemo": "12345",
    "depositAddressAndMemo": "GDJ4JZXZELZD737NVFORH4PSSQDWFDZTKW3AIDKHYQG23ZXBPDGGQBJK_12345",
    "recipient": "somebody.near",
    "status": "SUCCESS",
    "createdAt": "2025-12-31T12:00:00.000Z",
    "createdAtTimestamp": 1767182400,
    "intentHashes": "GnGk38hvi92tTWDYMMS8CWYnVT4fixmfBrnqSErCDMTu",
    "referral": "some-referral",
    "amountInFormatted": "22.130108",
    "amountOutFormatted": "22.113697",
    "appFees": [
      {
        "fee": 50,
        "recipient": "some.near"
      },
      {
        "fee": 5,
        "recipient": "somebody.near"
      }
    ],
    "nearTxHashes": [
      "6XqqDwoaopgg39QsEiFGs9HfwP2Vum9tCCyqHDYXWBBH",
      "EVcgKukwf38XsYcgvkEgiMPWR7qwLfLK5rsVtjgctPBn"
    ],
    "originChainTxHashes": [
      "0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
    ],
    "destinationChainTxHashes": [
      "0x9bcff372aee89b648c922b850573b22387c31d693079f5e37cd255814e2d615a"
    ],
    "amountIn": "22130108",
    "amountInUsd": "22.1272",
    "amountOut": "22113697",
    "amountOutUsd": "22.1108",
    "refundTo": "somebody.near",
    "senders": [
      "0x1234567890abcdef1234567890abcdef12345678"
    ],
    "refundReason": "AMOUNT_MORE_THAN_BALANCE",
    "refundFeeFormatted": "0.001",
    "refundFee": "1000",
    "recipientType": "DESTINATION_CHAIN",
    "depositType": "ORIGIN_CHAIN",
    "refundType": "ORIGIN_CHAIN"
  }
]

Last updated